
### DATA ###
from bob.learn.pytorch.datasets import CasiaWebFaceDataset
import torchvision.transforms as transforms
from bob.learn.pytorch.datasets import RollChannels
from bob.learn.pytorch.datasets import ToTensor
from bob.learn.pytorch.datasets import Normalize
dataset = CasiaWebFaceDataset(root_dir='/idiap/project/fargo/xpeng_prepro/CASIA-Webface-crop-128/', 
                                     transform=transforms.Compose([
                                       RollChannels(), # bob to skimage:  
                                       ToTensor(),
                                       Normalize((0.5, 0.5, 0.5), (0.5, 0.5, 0.5))
                                     ])
                                   )

### NETWORK ###
from bob.learn.pytorch.architectures import CNN8
number_of_classes = 10575
dropout = 0.5
network = CNN8(number_of_classes, dropout)
